org.red5.server.midi

## Class SharedMidiObject

- java.lang.Object
- - org.red5.server.midi.SharedMidiObject

    public class SharedMidiObject
    extends Object

### Nested Class Summary

Nested Classes
`class` `SharedMidiObject.MidiReceiver`

### Field Summary

Fields
`protected MidiDevice` `dev`
`protected String` `deviceName`
`protected ISharedObject` `so`

### Constructor Summary

Constructors
Constructor and Description
`SharedMidiObject(String deviceName, ISharedObject so)`

### Method Summary

Methods
`void` `close()`
`boolean` `connect()`
`static MidiDevice` `getMidiDevice(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### deviceName

    protected String deviceName

#### so

    protected ISharedObject so

#### dev

    protected MidiDevice dev

### Constructor Detail

#### SharedMidiObject

    public SharedMidiObject(String deviceName,
                    ISharedObject so)

### Method Detail

#### connect

    public boolean connect()

#### close

    public void close()

#### getMidiDevice

    public static MidiDevice getMidiDevice(String name)